Subject: Re: powerpc/mm: Add a parameter to disable 1TB segs

From: Michael Ellerman <[email-masked]>
Date: Mon, 4 Jul 2016 16:09:55 +1000 (AEST)

On Mon, 2016-04-07 at 00:44:04 UTC, Oliver O'Halloran wrote:
> This patch adds the kernel command line parameter "no_tb_segs" which
> forces the kernel to use 256MB rather than 1TB segments. Forcing the use
> of 256MB segments makes it considerably easier to test code that depends
> on an SLB miss occurring.

That's a fairly awful name :)

Can you call it "disable_1T_segments" ?

It should also be mentioned in Documentation/kernel-parameters.txt, with
emphasis that it's a debug option and powerpc only.

cheers